# This should simulate preseed behavior

apt-get update
apt-get -y install curl

# Add apt repository
echo "deb [arch=amd64] http://apt.mirantis.com/xenial/ nightly salt" > /etc/apt/sources.list.d/mcp_salt.list
echo "deb [arch=amd64] http://apt.mirantis.com/xenial/ nightly extra" > /etc/apt/sources.list.d/mcp_extra.list
curl -sf http://apt.mirantis.com/public.gpg | apt-key add -

apt-get clean
apt-get update

# Kernel makes no sense in docker, let base.sh know
touch /tmp/no_install_kernel
